API Guide Home (Online version only) |

# WUNotificationEventType Struct Reference

## Detailed Description

Structure passed to the callbacks registered for incoming wakeup notifications

Definition at line 1288 of file HsPhoneEvent.h.

## Data Fields

- UInt16 version
- void * headerP
- UInt8 headerLen
- char NAI [NAITextSize]
- char _filler1_
- UInt32 netTimeStamp
- UInt8 reasonCode
- char _filler2_
- char password [PasswordSize]
- char _filler3_
- UInt32 msgID
- UInt32 datetime
- Int32 reserved2
- Int32 reserved3

## Field Documentation

UInt16 version

version number to provide future backwards compatibility

Definition at line 1290 of file HsPhoneEvent.h.

void* headerP

pointer to raw header

Definition at line 1292 of file HsPhoneEvent.h.

UInt8 headerLen

length of headerP

Definition at line 1293 of file HsPhoneEvent.h.

char NAI[NAITextSize]

Network wakeup fields stores the NAI

Definition at line 1296 of file HsPhoneEvent.h.

char _filler1_

for 16 bit allignment

Definition at line 1297 of file HsPhoneEvent.h.

UInt32 netTimeStamp

timestamp from the message

Definition at line 1298 of file HsPhoneEvent.h.

UInt8 reasonCode

a reason code from the message

Definition at line 1299 of file HsPhoneEvent.h.

char _filler2_

for 16 bit allignment

Definition at line 1300 of file HsPhoneEvent.h.

char password[PasswordSize]

the password (encrypted)

Definition at line 1301 of file HsPhoneEvent.h.

char _filler3_

for 16 bit allignment

Definition at line 1302 of file HsPhoneEvent.h.

UInt32 msgID

SMS related fields ID into the SMS database to reference this message this ID is not gauranteed to be valid once the notification callback returns. Users should make a copy of the msg if they want to work on it after the callback returns.

Definition at line 1305 of file HsPhoneEvent.h.

UInt32 datetime

date/time stamp

Definition at line 1312 of file HsPhoneEvent.h.

Int32 reserved2

reserved

Definition at line 1313 of file HsPhoneEvent.h.

Int32 reserved3

reserved

Definition at line 1314 of file HsPhoneEvent.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:33 2008 for Palm API Guide